Bug 9722 - Allow users to add notes when placing a hold in opac
Summary: Allow users to add notes when placing a hold in opac
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 14:03 UTC by Marcel de Rooy
Modified: 2014-12-07 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9722: Allow users to add notes when placing a hold in opac (9.25 KB, patch)
2013-02-28 08:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (2.53 KB, patch)
2013-02-28 08:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (2.54 KB, patch)
2013-03-01 16:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (9.26 KB, patch)
2013-03-01 16:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (2.54 KB, patch)
2013-03-01 16:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (dbrev) (2.59 KB, patch)
2013-03-04 06:52 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9722: Toggle display of hold notes with Edit notes button (2.02 KB, patch)
2013-03-04 07:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (9.29 KB, patch)
2013-04-26 14:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (dbrev) (2.99 KB, patch)
2013-04-26 14:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9722: Toggle display of hold notes with Edit notes button (2.07 KB, patch)
2013-04-26 14:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9722: Toggle display of hold notes with Edit notes button (2.08 KB, patch)
2013-04-26 15:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (9.31 KB, patch)
2013-05-23 10:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9722: Allow users to add notes when placing a hold in opac (dbrev) (2.94 KB, patch)
2013-05-23 10:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9722: Toggle display of hold notes with Edit notes button (2.15 KB, patch)
2013-05-23 10:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2013-02-27 14:03:15 UTC
Allow users to add notes when placing a hold in opac.
Comment 1 Marcel de Rooy 2013-02-28 08:14:17 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2013-02-28 08:14:29 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-03-01 16:14:14 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-03-01 16:14:24 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2013-03-01 16:14:31 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2013-03-01 16:18:04 UTC
Looks good but a couple things that should probably be taken care of before passing qa:

1) The "Show notes" buttons should probably be titled "Add notes" instead.
2) When doing a multi-hold, clicking one "Show notes" button hides the previously visible note textarea. This is jarring and may confuse patrons into thinking they can only have a note on one and only one of the holds. It would be better to make each "Show notes" button a toggle to hide it's own note textarea, and clear that textarea if it gets hidden. You could even change the text from "Add notes" to "Remove notes" when the textarea is visible.
Comment 7 Marcel de Rooy 2013-03-04 06:52:34 UTC Comment hidden (obsolete)
Comment 8 Marcel de Rooy 2013-03-04 07:17:42 UTC Comment hidden (obsolete)
Comment 9 Marcel de Rooy 2013-03-04 07:20:54 UTC
(In reply to comment #6)
> 1) The "Show notes" buttons should probably be titled "Add notes" instead.
Changed it to Edit notes.

> 2) When doing a multi-hold, clicking one "Show notes" button hides the
> previously visible note textarea. This is jarring and may confuse patrons
> into thinking they can only have a note on one and only one of the holds. It
> would be better to make each "Show notes" button a toggle to hide it's own
> note textarea, and clear that textarea if it gets hidden. You could even
> change the text from "Add notes" to "Remove notes" when the textarea is
> visible.
The button now only toggles its own textarea. I do not prefer to remove the notes with one click. Shift-select or Ctrl+A plus delete does the job well enough :)

Thanks for testing.
Comment 10 Marcel de Rooy 2013-04-26 14:48:12 UTC Comment hidden (obsolete)
Comment 11 Marcel de Rooy 2013-04-26 14:48:17 UTC Comment hidden (obsolete)
Comment 12 Marcel de Rooy 2013-04-26 14:48:22 UTC Comment hidden (obsolete)
Comment 13 Marcel de Rooy 2013-04-26 14:49:46 UTC
Rebased three patches (small merge conflicts).
Kyle: The third patch is more or less a "string patch", but could formally use your signoff too. Could you add that please? Thanks.
Comment 14 Kyle M Hall 2013-04-26 15:59:22 UTC Comment hidden (obsolete)
Comment 15 Jonathan Druart 2013-05-23 10:33:55 UTC
QA comment:

Good integration into a really ugly code/page.

2 small remarks:
- Maybe the new pref should be under the OPAC/Appearance instead of Features. All OPACShow* pref are under appearande.
- The toggle stuff can be made with a simple $("#notesrow_"+biblioNum).toggle();

not blocker

Marked as Passed QA.
Comment 16 Jonathan Druart 2013-05-23 10:35:27 UTC
Created attachment 18342 [details] [review]
Bug 9722: Allow users to add notes when placing a hold in opac

The option of adding a note is controlled by new pref OpacShowHoldNotes.
This development is part of a larger one (see umbrella report 9721).

Test plan:
1 Verify if new pref is disabled by default. Place a hold. You can't add a note.
2 Enable the pref. Place a hold and add a note. Check in staff if you can see
the note in Catalogue Detail/Holds tab.
3 Toggle SingleBranchmode, AllowHoldDateInFuture/OPACAllowHoldDateInFuture,
OPACShowHoldQueueDetails, or OPACItemHolds.
Check the display of columns when placing a hold from opac.
4 Place a few holds with notes from opac search results in one run (enable
DisplayMultiPlaceHold). Check results in staff again.

Remark: A few lines already refer to mandatory note reasons. This is handled
in a subsequent report. No reason to worry.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 17 Jonathan Druart 2013-05-23 10:35:35 UTC
Created attachment 18343 [details] [review]
Bug 9722: Allow users to add notes when placing a hold in opac (dbrev)

Database revision for report 9722, adding new pref OpacShowHoldNotes.
This development is part of a larger one (see umbrella report 9721).

Test plan:
Run [your server]/cgi-bin/koha/installer/install.pl?step=3&op=updatestructure
Optionally, run a new install to test sysprefs.sql.
Or:
Edit sysprefs.sql, leave at least the last few lines including the new one.
And run from command line:  mysql -p [yourdatabase] < [your-clone]/installer/data/mysql/sysprefs.sql

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 18 Jonathan Druart 2013-05-23 10:35:38 UTC
Created attachment 18344 [details] [review]
Bug 9722: Toggle display of hold notes with Edit notes button

Small adjustments, requested by Kyle:
1) Rename Show notes button. It is called now: Edit notes.
2) Do not hide all other notes fields. The Edit button now only toggles
the corresponding hold notes field.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 19 Galen Charlton 2013-05-23 15:35:44 UTC
Pushed to master along with a follow up to allow the hold note to be displayed in the patron summary in the OPAC (as it doesn't make sense to allow patrons to set a note without being able to view it later, particularly if it's meant to later contain notes about requesting a specific part).

Thanks, Marcel!
Comment 20 Marcel de Rooy 2013-05-23 17:58:56 UTC
(In reply to comment #19)
> Pushed to master along with a follow up to allow the hold note to be
> displayed in the patron summary in the OPAC (as it doesn't make sense to
> allow patrons to set a note without being able to view it later,
> particularly if it's meant to later contain notes about requesting a
> specific part).

Thanks for that, Galen!
Comment 21 Marcel de Rooy 2013-05-24 08:17:54 UTC
(In reply to comment #15)
> - Maybe the new pref should be under the OPAC/Appearance instead of
> Features. All OPACShow* pref are under appearande.

Thanks for QAing, Jonathan. I thought about moving it. But I think that this pref that allows or not allows adding notes should be under Features. But I agree that you have a point about the name of the pref. Probably, the name is somewhat misleading.
Do you have a suggestion? Would OpacHoldNotes be an improvement?
Comment 22 Marcel de Rooy 2013-05-24 08:38:47 UTC
(In reply to comment #15)
> - The toggle stuff can be made with a simple
> $("#notesrow_"+biblioNum).toggle();

Submitted small followup on bug 10321 for that. Thx.
Comment 23 Jonathan Druart 2013-05-24 09:06:05 UTC
(In reply to comment #21)
> (In reply to comment #15)
> > - Maybe the new pref should be under the OPAC/Appearance instead of
> > Features. All OPACShow* pref are under appearande.
> 
> Thanks for QAing, Jonathan. I thought about moving it. But I think that this
> pref that allows or not allows adding notes should be under Features. But I
> agree that you have a point about the name of the pref. Probably, the name
> is somewhat misleading.
> Do you have a suggestion? Would OpacHoldNotes be an improvement?

OpacHoldNotes is probably more expressive.